babel-preset-es2015-riot

The default riot babel preset

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
babel-preset-es2015-riot
1461.1.07 years ago7 years agoMinified + gzip package size for babel-preset-es2015-riot in KB

Readme

The default riot babel preset
Build Status
This preset includes all the default babel es2015 plugins Allowing the use of the es2015 modules also in any riot tag
Installation
$ npm install babel-preset-es2015-riot --save-dev
Usage
Add a .babelrc file in the root of your project
{
  "presets": [ "es2015-riot" ]
}

If you want to use the babel helpers you must change the .babelrc file in this way:
{
  "presets": [ "es2015-riot" ],
  "plugins": [ "external-helpers-2" ]
}